YepAPI
AI Models

Step 3.5 Flash

StepFun's fast inference model. Quick responses with a 262K context window at a very low price.

POST/v1/ai/chat
$0.01/call

Overview

StepFun's fast inference model. Quick responses with a 262K context window at a very low price.

PropertyValue
Model IDstepfun/step-3.5-flash
Context Window262,144 tokens
Max Output8,192 tokens
Input Price$0.10 / 1M tokens
Output Price$0.30 / 1M tokens

Usage

const res = await fetch('https://api.yepapi.com/v1/ai/chat', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    model: 'stepfun/step-3.5-flash',
    messages: [{ role: 'user', content: 'Write a regular expression that matches valid IPv4 addresses.' }],
  }),
});
const { data } = await res.json();
console.log(data.message.content);
curl -X POST https://api.yepapi.com/v1/ai/chat \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "stepfun/step-3.5-flash", "messages": [{"role": "user", "content": "Write a regular expression that matches valid IPv4 addresses."}]}'

Request Body

ParameterTypeRequiredDescriptionDefault
modelstringYesModel ID (e.g. stepfun/step-3.5-flash)
messagesMessage[]YesArray of { role, content } objects
maxTokensnumberNoMaximum tokens in the responseModel default
temperaturenumberNoSampling temperature (0.0–2.0)1.0
topPnumberNoNucleus sampling threshold1.0
frequencyPenaltynumberNoPenalize repeated tokens0
presencePenaltynumberNoPenalize tokens already present0
streambooleanNoEnable SSE streamingfalse
Info

All AI models use the /v1/ai/chat endpoint. Specify the model with the model field.

Response

{
  "ok": true,
  "data": {
    "model": "stepfun/step-3.5-flash",
    "message": {
      "role": "assistant",
      "content": "Here's a regex for valid IPv4 addresses: ^((25[0-5]|2[0-4]\\d|[01]?\\d\\d?)\\.){3}(25[0-5]|2[0-4]\\d|[01]?\\d\\d?)$ — each octet matches values from 0 to 255."
    },
    "usage": {
      "promptTokens": 15,
      "completionTokens": 86,
      "totalTokens": 101
    }
  }
}

Streaming

Set "stream": true to receive Server-Sent Events. Each chunk contains a delta object:

data: {"delta":{"content":"Here's"},"model":"stepfun/step-3.5-flash","index":0}
data: [DONE]
Under the Hood

We handle auth, billing, and response normalization — you just send messages.

On this page